﻿using EntityFrameworkLOL.Entities;
using Microsoft.EntityFrameworkCore;

namespace EntityFrameworkLOL.DBContexts
{
    class SQLiteContext : DbContext
    {
        public DbSet<CategoryEntity> Category { get; set; }
        public DbSet<RuneFamilyEntity> RuneFamily { get; set; }
        public DbSet<ImageEntity> Image { get; set; }
        public DbSet<SkillTypeEntity> SkillType { get; set; }
        public DbSet<SkillEntity> Skill { get; set; }
        public DbSet<SkinEntity> Skin { get; set; }
        public DbSet<RuneEntity> Rune { get; set; }
        public DbSet<ChampionClassEntity> ChampionClass { get; set; }
        public DbSet<RunePageEntity> RunePage { get; set; }
        public DbSet<ChampionEntity> Champion { get; set; }

        protected override void OnConfiguring(DbContextOptionsBuilder options)
            => options.UseSqlite($"Data Source=DBLOL.db");

        protected override void OnModelCreating(ModelBuilder modelBuilder)
        {
            base.OnModelCreating(modelBuilder);
        }

        public SQLiteContext()
        { }

        public SQLiteContext(DbContextOptions<SQLiteContext> options)
            : base(options)
        { }
    }
}